using Tiobon.Core.Common;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// IReportServices
/// </summary>	
public interface IReportServices : IBaseServices<Ghrh_Resume, Ghrh_ResumeDto, InsertGhrh_ResumeInput, EditGhrh_ResumeInput>
{
    Task<ServicePageResult<Ghra_StaffDto>> QueryNewStaffAsync(QueryBody filter, string condition, bool? IsEnable = true);

    Task<ServiceResult<dynamic>> QueryESSResumeScreenPassRate(int langId = 1);

    Task<ServiceResult<dynamic>> QueryInterviewPassRate(int langId = 1, int? staffId = null);

    Task<ServiceResult<dynamic>> QuerySendOfferRate(int langId = 1, int? staffId = null);
}
